Ticket #19 (closed enhancement: fixed)

Opened 13 years ago

Last modified 13 years ago

Fix FFADO for small buffer sizes (and thus low latencies)

Reported by: arnonym Assigned to: ppalmers
Priority: major Milestone: FFADO 2.1
Component: Version:
Keywords: Cc:
The device the bug applies to:

Description

I can use ffado with 3x256@48 for hours without xruns, but anything below that gives xruns and glitches while freebob works on the same setup down to 3x64.

ppalmers says he knows about it but doesn't know exactly why, so I am reporting it here to have it on the roadmap for 2.0:)

Change History

11/25/07 07:07:36 changed by ppalmers

  • owner set to ppalmers.

Halfway fixed. -n3 -p64 runs for me with my current code, but is not reliable yet.

11/28/07 07:32:34 changed by ppalmers

  • status changed from new to assigned.
  • type changed from bug to enhancement.
  • milestone changed from FFADO 2.0 to FFADO 2.1.

I'm going to make this an enhancement that is due for 2.1.

I don't consider it a showstopper for releasing 2.0 since it doesn't render FFADO unusable.

01/10/08 13:28:57 changed by ppalmers

  • status changed from assigned to closed.
  • resolution set to fixed.